/**@file
 *
 * This package contains documentation of the fwConfigs library set.  For documentation and examples, refer to the <a href="pages.html">Related Pages</a> section.

 *
 * @author Marco Boccioli (EN/ICE-SCD)
 */

/**
@page fwDpFunction fwDpFunction
 *fwDpFunction features the following dp function types:
@li @ref fwConfigsDpFunctionsDpeConnection
@li @ref fwConfigsDpFunctionsStat
@li @ref fwConfigsDpFunctions
 *
 */

/**
@page fwAlertConfig fwAlertConfig
*
fwAlertConfig manual: @ref fwConfigsAlert
*
*/

/**
@page fwPeripheryAddressPage fwPeriphAddress
*
fwPeripheryAddress manual: @ref fwPeripheryAddress
*
*/

/** @mainpage JCOP Framework Configs
 *
 *
\section documentation Documentation:
* For documentation and examples, refer to the <a href="pages.html">Related Pages</a> section.

* Not all the libraries have a manual implemented. If a manual is not yet available on the Related Pages section, please refer directly to the <a href="files.html">Files</a> section.

\section changeLog Change log:
See the full list of <a target=_blank href="https://icecontrols.cern.ch/jira/secure/IssueNavigator.jspa?reset=true&jqlQuery=project+%3D+FWCORE+AND+issuetype+in+standardIssueTypes%28%29+AND+status+%3D+resolved+and+fixVersion+is+not+null+ORDER+BY+fixVersion+DESC%2C+updated+DESC%2C+key+DESC">improvements and bug fixes</a>.
*/
